PamCut: TofDedxS1Cut Class Reference

# TofDedxS1Cut Class Reference

The TofQual cut. This cut is done for each S1 layer: if there is one and only one hit paddle for the layer, then the dE/dX of the paddle (referred to a specified track) must be less than a fixed threshold. NOTE: 'hit paddle' means that both TDC signals are present AND they are both 'good' (according to TOF definition of 'good' TDC signal). More...

`#include <TofDedxS1Cut.h>`

Inheritance diagram for TofDedxS1Cut:

List of all members.

## Public Member Functions
| TofDedxS1Cut (const char *cutName, float maxDedxS1, int *trackTof=NULL)
| Constructor.
| ~TofDedxS1Cut ()
| Destructor.
int | Check (PamLevel2 *event)
| The TofDedxS1 check.
## Private Attributes
float | _maxDedxS1
int * | _trackTof
int | _nHitPadPair [3]

## Detailed Description

The TofQual cut. This cut is done for each S1 layer: if there is one and only one hit paddle for the layer, then the dE/dX of the paddle (referred to a specified track) must be less than a fixed threshold. NOTE: 'hit paddle' means that both TDC signals are present AND they are both 'good' (according to TOF definition of 'good' TDC signal).

Definition at line 21 of file TofDedxS1Cut.h.

## Constructor & Destructor Documentation

TofDedxS1Cut::TofDedxS1Cut | ( | const char * | cutName,
|  | float | maxDedxS1,
|  | int * | trackTof = `NULL` |
| ) |  |  | `[inline]`

Constructor.

The parameters are: maximum dE/dX for S1 layers and the TOF-index for the track which is necessary to input to derive the dE/dX for S1 layers.

Parameters:

  | cutName | The cut's name.
  | maxDedxS1 | The maximum dE/dX for each S1 layer, for which the event is accepted
  | trackTof | Pointer to the TOF-index indicating the track to be used when evaluating the dE/dX for S1 layers (default value for TOF_index is 0, corresponding to the TOF stand-alone track [no TRK information to build the TOF stand-alone track]). The pointer to the TOF_index for TRK-track as given by TrkPhSinCut can be used.

Definition at line 33 of file TofDedxS1Cut.h.

TofDedxS1Cut::~TofDedxS1Cut | ( |  | ) | `[inline]`

Destructor.

Definition at line 37 of file TofDedxS1Cut.h.

## Member Function Documentation

int TofDedxS1Cut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The TofDedxS1 check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if for each layer of S1 with one and only one hit paddle, the paddle dE/dX is less than a fixed threshold

  0 otherwise

Implements PamCut.

Definition at line 12 of file TofDedxS1Cut.cpp.

References _maxDedxS1, _trackTof, CUTOK, and TOFNPADLAYER.

## Member Data Documentation

float TofDedxS1Cut::_maxDedxS1`[private]`

Definition at line 50 of file TofDedxS1Cut.h.

Referenced by Check().

int TofDedxS1Cut::_nHitPadPair[3]`[private]`

Definition at line 52 of file TofDedxS1Cut.h.

int* TofDedxS1Cut::_trackTof`[private]`

Definition at line 51 of file TofDedxS1Cut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- TofCuts/TofDedxS1Cut/TofDedxS1Cut.h
- TofCuts/TofDedxS1Cut/TofDedxS1Cut.cpp